package com.ruoyi.tcZz.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.tcZz.domain.TcWljg;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.tcZz.mapper.TcGzdtMapper;
import com.ruoyi.tcZz.domain.TcGzdt;
import com.ruoyi.tcZz.service.ITcGzdtService;

/**
 * 工作动态Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
@Service
public class TcGzdtServiceImpl implements ITcGzdtService 
{
    @Autowired
    private TcGzdtMapper tcGzdtMapper;

    /**
     * 查询工作动态
     * 
     * @param id 工作动态主键
     * @return 工作动态
     */
    @Override
    public TcGzdt selectTcGzdtById(Long id)
    {
        return tcGzdtMapper.selectTcGzdtById(id);
    }

    /**
     * 查询工作动态列表
     * 
     * @param tcGzdt 工作动态
     * @return 工作动态
     */
    @Override
    public List<TcGzdt> selectTcGzdtList(TcGzdt tcGzdt)
    {
        return tcGzdtMapper.selectTcGzdtList(tcGzdt);
    }

    /**
     * 新增工作动态
     * 
     * @param tcGzdt 工作动态
     * @return 结果
     */
    @Override
    public int insertTcGzdt(TcGzdt tcGzdt)
    {
        tcGzdt.setCreateTime(DateUtils.getNowDate());
        return tcGzdtMapper.insertTcGzdt(tcGzdt);
    }

    /**
     * 修改工作动态
     * 
     * @param tcGzdt 工作动态
     * @return 结果
     */
    @Override
    public int updateTcGzdt(TcGzdt tcGzdt)
    {
        tcGzdt.setUpdateTime(DateUtils.getNowDate());
        return tcGzdtMapper.updateTcGzdt(tcGzdt);
    }

    /**
     * 批量删除工作动态
     * 
     * @param ids 需要删除的工作动态主键
     * @return 结果
     */
    @Override
    public int deleteTcGzdtByIds(Long[] ids)
    {
        return tcGzdtMapper.deleteTcGzdtByIds(ids);
    }

    /**
     * 删除工作动态信息
     * 
     * @param id 工作动态主键
     * @return 结果
     */
    @Override
    public int deleteTcGzdtById(Long id)
    {
        return tcGzdtMapper.deleteTcGzdtById(id);
    }

    @Override
    public String importUser(List<TcGzdt> tcGzdtList) {
        StringBuilder successMsg = new StringBuilder();
        if (!tcGzdtList.isEmpty()) {
            for (TcGzdt tcGzdt : tcGzdtList) {
                tcGzdtMapper.insertTcGzdt(tcGzdt);
            }
            successMsg.append("导入成功");
        }

        return successMsg.toString();
    }

    @Override
    public void updateByisStatus(Integer isStatus,List<String> ids) {
        tcGzdtMapper.updateByisStatus(isStatus,ids);
    }
}
